Bug 645115 - entitlement/product directory confuses the all of us
Summary: entitlement/product directory confuses the all of us
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 6
Classification: Red Hat
Component: subscription-manager
Version: 6.1
Hardware: All
OS: Linux
low
medium
Target Milestone: rc
: ---
Assignee: Pradeep Kilambi
QA Contact: John Sefler
URL:
Whiteboard:
Depends On:
Blocks: Entitlement-Beta
TreeView+ depends on / blocked
 
Reported: 2010-10-20 20:11 UTC by Bryan Kearney
Modified: 2011-05-19 13:42 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2011-05-19 13:42:45 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2011:0611 normal SHIPPED_LIVE new package: subscription-manager 2011-05-18 17:56:21 UTC

Description Bryan Kearney 2010-10-20 20:11:58 UTC
TRUE or FALSE, product certs are found in the etc products directory?

Currently entitlement certs are dropped into a "product" subdirectory of /etc/pki/entitlement during a subscribe binding.  Product certs are statically located in the /etc/pki/products directory.  Should dev change this behaviour and drop the entitlement certs directly into /etc/pki/entitlement?

I spoke to Prad about the use of the /etc/pki/entitlements/"products" directory.  He said they initially thought they would separate the certs for the layered products.  Currently the layered certs are just part of the parent entitlement cert.  Therefore the "product" subdirectory could be removed if we want to reduce the confusion.  Its only purpose currently is to add to the overuse of the term "product".  If it was removed now (which is probably a simple dev change), it impacts docs and tests.  If we want to make this change, I vote to do it earlier (pre-BETA) (possibly ALPHA) rather than later.

Leaving the subdirectory "product" under /etc/pki/entitlement confuses the all of us.

Comment 2 Bryan Kearney 2010-10-21 21:04:24 UTC
Checked into master (not ALPHA) in 0b54685edd3c33005653a954ef5052b8083a6bea.

Comment 3 John Sefler 2010-10-25 14:19:19 UTC
Deon,
The consequence of the fix for this bug means that a global search and replace must be done on all documentation (post alpha) switching all occurrences of "/etc/pki/entitlement/product" with "/etc/pki/entitlement".

Comment 5 John Sefler 2010-11-19 22:12:07 UTC
[root@jsefler-onprem01 ~]# rpm -q subscription-manager
subscription-manager-0.93.1-1.git.82.283c328.fc12.i386

[root@jsefler-onprem01 ~]# grep entitlementCertDir /etc/rhsm/rhsm.conf
entitlementCertDir=/etc/pki/entitlement

[root@jsefler-onprem01 ~]# grep productCertDir /etc/rhsm/rhsm.conf
productCertDir=/etc/pki/product

[root@jsefler-onprem01 ~]# subscription-manager register --username=testuser1 --password=password
d735f1dc-ce1b-441f-847f-40287b5c36f8 testuser1
[root@jsefler-onprem01 ~]# subscription-manager list --available | grep PoolId
<...snip...>
PoolId:            	ff8080812c62b966012c62ba4f0701c4
PoolId:            	ff8080812c62b966012c62ba4f6501df
[root@jsefler-onprem01 ~]# subscription-manager subscribe --pool=ff8080812c62b966012c62ba4f6501df
[root@jsefler-onprem01 ~]# ls /etc/pki/entitlement/
1129020453785279.pem  key.pem


VERIFIED the code!  No more sub directory called product
TODO: Should also verify the doc...

Comment 6 John Sefler 2010-12-07 19:29:18 UTC
This bugzilla is VERIFIED.
I opened a separate bugzilla https://bugzilla.redhat.com/show_bug.cgi?id=661103 for the changes required to the documentation.

Comment 7 errata-xmlrpc 2011-05-19 13:42:45 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on therefore solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHEA-2011-0611.html


Note You need to log in before you can comment on or make changes to this bug.